Skip to main content
    Ivy Biosciences Docs/Call the platform/API/Reference/Reference/Sandbox/POST /v1/sandbox/{chatId}/terminate

    POST /v1/sandbox/{chatId}/terminate

    Terminate the sandbox — Shuts down your chat's sandbox. The route reads no body fields. A new sandbox can be created for the chat afterwards.

    Auth: required. Send an ivy_ API key (Authorization: Bearer ivy_… or X-Ivy-Api-Key), a Clerk session JWT (Authorization: Bearer …) or the Clerk __session cookie (browser sessions). See Authentication.

    Shuts down your chat's sandbox. The route reads no body fields. A new sandbox can be created for the chat afterwards.

    Request

    Path parameters

    chatIdstring

    ID of the chat that owns the sandbox

    Request body

    Type: object

    Responses

    200 OK

    Sandbox terminated

    Response shape:

    statusenum ("terminated")

    401 Unauthorized

    Authentication required

    Response shape: object

    403 Forbidden

    You do not own this chat, or your key's project scope excludes it

    Response shape: object

    429 Too Many Requests

    Rate limit exceeded

    Response shape: object

    500 Internal Server Error

    Termination failed

    Response shape: object

    curl -X POST 'https://ivybiosciences.com/api/v1/sandbox/{chatId}/terminate' \
      -H "Authorization: Bearer $IVY_API_KEY" \
      -H 'Content-Type: application/json' \
      -d '{}'

    Was this page helpful?

    Loading...